Subject: Re: [iproute PATCH RFC] libnetlink: introduce DECLARE_NLREQ

From: Stephen Hemminger <[email-masked]>
Date: Mon, 30 Nov 2015 09:20:51 -0800

On Mon, 30 Nov 2015 16:47:25 +0100
Phil Sutter <[email-masked]> wrote:

> libmnl looks nice and simple (unlike libnl I was initially looking at by
> accident). Now how to pull this off:
> 
> I don't think mandatorily depending on libmnl will be acceptable, do
> you? So I can imagine two ways to do this:

Having libmnl be mandatory is fine, but please put in net-next.
Every distro has libmnl and as long as it is documented not a big deal.

> A) Have a libmnl version of lib/libnetlink.c which is used instead of
>    the old one if libmnl is present.
> 
> B) Pull a copy of libmnl into iproute2 sources so it's always available
>    (as fallback) and make it replace lib/libnetlink.c. This sounds worse
>    than it is, using git-subtree allows to do this without imposing user
>    knowledge about it (like git-submodule does).

Just incrementally change code to use libmnl instead of libnetlink.
Start with simple stuff.